Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Your Merchant API key. Create one in Dashboard → Developers → API keys.

Path Parameters

storeId
string
required

Your store id. Find it in Dashboard → Developers, or in GET /stores with MCP.

Body

application/json
code
string
required
Required string length: 1 - 50
discountValue
number
required
Required range: 0 <= x <= 1000000
discountType
enum<string>
Available options:
percentage,
fixed
minPurchase
number | null
Required range: 0 <= x <= 1000000
maxDiscount
number | null
Required range: 0 <= x <= 1000000
usageLimit
integer | null
Required range: 0 < x <= 1000000
validFrom
any
validUntil
any
isActive
boolean

Response

The new coupon.

The response is of type object.